Name:           xdotool
Version:        1.20100227.2679
Epoch:          1
Release:        1%{?dist}
Summary:        Fake keyboard/mouse input
Group:          User Interface/X
License:        BSD
URL:            http://www.semicomplete.com/projects/xdotool/
Source0:        http://semicomplete.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRequires:  libXtst-devel, libX11-devel

%description
This tool lets you programmatically (or manually) simulate keyboard input
and mouse activity, move and re-size windows, etc.

%package -n libxdo
Group: System Environment/Libraries
Summary: Keyboard input simulation library
                                                                                                                                                                                  
%description -n libxdo
This library contains functions to simulate keyboard and mouse input

%package -n libxdo-devel
Summary:        Development files for libxdo
Group:          Development/Libraries
Requires:       libxdo = %{epoch}:%{version}-%{release}

%description -n libxdo-devel
The libxdo-devel package contains libraries and header files for
developing applications that use libxdo

%prep
%setup -q

%build
export WARNFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} INSTALLMAN=$RPM_BUILD_ROOT%{_mandir} INSTALLLIB=$RPM_BUILD_ROOT%{_libdir} install

#fix permissions
chmod 0644 examples/ffsp.sh

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libxdo -p /sbin/ldconfig

%postun -n libxdo -p /sbin/ldconfig

%files -n libxdo
%defattr(-,root,root,-)
%doc CHANGELIST COPYRIGHT README
%{_libdir}/*.so.*

%files -n libxdo-devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%doc examples

%changelog
* Sun Feb 28 2010 Sven Lankes <sven@lank.es> - 1.20100227.2679-1
- New upstream release
- Remove makefile patch (now upstream)

* Sun Feb 07 2010 Sven Lankes <sven@lank.es> - 0.20100118.2605-2
- fix requires for libxdo-devel

* Fri Feb 05 2010 Sven Lankes <sven@lank.es> - 0.20100118.2605-1
- New upstream release
- remove BuildRoot from spec
- add subpackages for libxdo
- ship manpage
- bump Epoch as upstream changed the versioning
- use make install (with a makefile-patch) instead of manual install in spec

* Thu Sep 17 2009 Sven Lankes <sven@lank.es> - 20090815-1
- New upstream release (fixes #521765)

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090330-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 28 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 20090330-2
- New upstream release

* Thu May  7 2009 Ville Skyttä <ville.skytta at iki.fi> - 20090126-2
- Build with $RPM_OPT_FLAGS.

* Wed Apr 01 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 20090126-1
- New upstream release

* Mon Mar 02 2009 Caolán McNamara <caolanm@redhat.com> - 20071230-4
- add BuildRequires libX11-devel to build

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20071230-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May 28 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 20071230-2
- Add patch to fix prefix
- Add CFLAGS to %%build

* Tue May 06 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 20071230-1
- Initial build

